> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Many Customer Payment Line Items

> Retrieve a list of customer payment line items



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/customer_payment_line_items
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/customer_payment_line_items:
    get:
      tags:
        - Customer Payment Line Items
      summary: Get Many Customer Payment Line Items
      description: Retrieve a list of customer payment line items
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 10
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  customerPaymentLineItems:
                    items:
                      description: columns and relationships of "payment_line_items"
                      nullable: false
                      properties:
                        checkDate:
                          $ref: '#/components/schemas/date'
                        checkOrAchNumber:
                          nullable: true
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamptz'
                        currency:
                          $ref: '#/components/schemas/CurrencyCodeEnum'
                        customerId:
                          nullable: true
                          title: String
                          type: string
                        exchangeRate:
                          nullable: true
                          title: String
                          type: string
                        fees:
                          nullable: false
                          title: Int
                          type: integer
                        id:
                          nullable: false
                          title: String
                          type: string
                        invoiceId:
                          nullable: true
                          title: String
                          type: string
                        notes:
                          nullable: true
                          title: String
                          type: string
                        paymentId:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemMeta:
                          $ref: '#/components/schemas/jsonb'
                        status:
                          nullable: false
                          title: String
                          type: string
                        totalAmount:
                          nullable: false
                          title: Int
                          type: integer
                        totalAmountWithFees:
                          nullable: true
                          title: Int
                          type: integer
                        transactionDate:
                          $ref: '#/components/schemas/date'
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz'
                      title: PaymentLineItems
                      type: object
                    nullable: false
                    type: array
          description: Responses for GET /api/rest/customer_payment_line_items
components:
  schemas:
    date:
      nullable: false
      title: date
      type: string
      format: date
      description: A date string, such as 2024-02-03 (YYYY-MM-DD)
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum
    jsonb:
      nullable: false
      title: jsonb

````